/**
 PageViewController.swift
 
 This file is part of the Eventhon package.
 @copyright (c) 2017-present, Eventhon. All rights reserved.
 @author Raul Romero Rostan <rromerorostan@gmail.com>
 @updated 2017-11-02
 
 For the full copyright and license information, please view the LICENSE
 file that was distributed with this source code.
 */

import UIKit

class PageViewController: BaseViewController {
    
    // ===========================================================
    // MARK: - Variables and constants
    // ===========================================================
    
    // Event selected in list
    var detailEvent: Event?
    
    var currentIndex: Int = 0
    
    // Controller inside container
    var pageViewController: PageImageViewController?
    
    
    // ===========================================================
    // MARK: - View Lifecycle
    // ===========================================================

    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    override var prefersStatusBarHidden: Bool {
        return true
    }
    
    
    // ===========================================================
    // MARK: - Navigation
    // ===========================================================
    
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        if (segue.identifier == "embedDetail") {
            pageViewController = segue.destination as? PageImageViewController
            pageViewController?.detailEvent = detailEvent
            pageViewController?.currentIndex = currentIndex
        }
    }
}
