/**
 ProfileViewController.swift
 
 This file is part of the Eventhon package.
 @copyright (c) 2017-present, Eventhon. All rights reserved.
 @author Raul Romero Rostan <rromerorostan@gmail.com>
 @updated 2017-11-02
 
 For the full copyright and license information, please view the LICENSE
 file that was distributed with this source code.
 */

import UIKit
import Firebase

class ProfileViewController: UITableViewController
{

    // ===========================================================
    // MARK: - IB Outlets
    // ===========================================================
    
    @IBOutlet weak var usernameTxt: UILabel!
    @IBOutlet weak var fullNameTxt: UILabel!
    @IBOutlet weak var mailTxt: UILabel!
    
    
    // ===========================================================
    // MARK: - IB Actions
    // ===========================================================
    
    @IBAction func logoutClick(_ sender: AnyObject) {
        try! Auth.auth().signOut()
        
        if let app = UIApplication.shared.delegate as? AppDelegate, let window = app.window {
            let viewController:UIViewController = UIStoryboard(name: "SignIn", bundle: nil).instantiateViewController(withIdentifier: "SignInNC") as UIViewController
            window.rootViewController = viewController
        }
    }
    

    // ===========================================================
    // MARK: - View Lifecycle
    // ===========================================================
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        if let user = Auth.auth().currentUser
        {
            //  Get detalles del usuario
            usernameTxt.text = user.displayName
            mailTxt.text = user.email
        }
    }
    
    
    // ===========================================================
    // MARK: - UITableView Controller
    // ===========================================================
    
    override func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        
        let tabBarHeight = tabBarController?.tabBar.bounds.height
        let navBarHeight = navigationController?.navigationBar.bounds.height
        let statusBarHeight = UIApplication.shared.statusBarFrame.height
        let availableTabHeight = tableView.bounds.height - tabBarHeight! - navBarHeight! - statusBarHeight
        var height = availableTabHeight / 10
        
        switch (indexPath as NSIndexPath).row {
        case 0:
            return height
            
        case 1:
            return height*2
            
        case 5:
            height = availableTabHeight - (height*3) - (50*3)
            return height
            
        default:
            height = super.tableView(tableView, heightForRowAt: indexPath)
            return height
        }
    }
}
