/**
 SlideViewController.swift
 
 This file is part of the Eventhon package.
 @copyright (c) 2017-present, Eventhon. All rights reserved.
 @author Raul Romero Rostan <rromerorostan@gmail.com>
 @updated 2017-11-02
 
 For the full copyright and license information, please view the LICENSE
 file that was distributed with this source code.
 */

import UIKit

class SlideViewController: UIViewController {
  
  // ===========================================================
  // MARK: - Variables and constants
  // ===========================================================
  
  var itemIndex = 0
  
  var backgroundColor: UIColor?
  
  
  // ===========================================================
  // MARK: - IB Outlets
  // ===========================================================
  
  @IBOutlet weak var iconSlide: UIImageView!
  @IBOutlet weak var titleSlide: UILabel!
  @IBOutlet weak var subtitleSlide: UILabel!
  
  
  // ===========================================================
  // MARK: - View Lifecycle
  // ===========================================================
  
  override func viewDidLoad() {
    super.viewDidLoad()
    
    updateUI()
  }
  
  override func viewDidLayoutSubviews() {
    // Transform to rounded image
    iconSlide.layer.cornerRadius = iconSlide.bounds.height/2
  }
  
  
  // ===========================================================
  // MARK: - Methods
  // ===========================================================
  
  /**
   Update interface.
   */
  func updateUI() {
    
    // Control iPhone/iPad
    if (UIDevice.current.userInterfaceIdiom == .phone) {
      titleSlide.font = UIFont(name: "Avenir-Heavy", size: 20)
      subtitleSlide.font = UIFont(name: "Avenir-Medium", size: 15)
    } else {
      titleSlide.font = UIFont(name: "Avenir-Heavy", size: 25)
      subtitleSlide.font = UIFont(name: "Avenir-Medium", size: 20)
    }
    
    // Generate welcome image and text
    iconSlide.image = UIImage(named: String(format: "Welcome_Slide%d.jpg", itemIndex+1))
    titleSlide.text = NSLocalizedString(String(format: "TITLE_SLIDE%d", itemIndex+1), comment: "")
    subtitleSlide.text = NSLocalizedString(String(format: "SUBTITLE_SLIDE%d", itemIndex+1), comment: "")
  }
}


