> ## :warning: Deprecation Notice
> Google has [deprecated](https://goo.gl/BkYjsP) the use of embedded web-views
> for OAuth, which this library relies on. When making OAuth requests to Google,
> use the replacement [GTMAppAuth](https://github.com/google/GTMAppAuth)
> library.

# GTM OAuth 2: Google Toolbox for Mac - OAuth 2 Controllers #

**Project site** <https://github.com/google/gtm-oauth2><br>
**Discussion group** <http://groups.google.com/group/gtm-oauth2>

[![Build Status](https://travis-ci.org/google/gtm-oauth2.svg?branch=master)](https://travis-ci.org/google/gtm-oauth2)

The Google Toolbox for Mac OAuth 2 Controllers make it easy for Cocoa
applications to sign in to services using OAuth 2 for authentication and
authorization.

Features include:
- Complete embedded user interface using WebKit
- Works with Google APIs and with any standard OAuth 2 provider
- Handles sign-in, keychain storage of authorization token, and authorizing of requests
- Independent of other projects

**To get started** with GTM OAuth 2, read the [wiki](https://github.com/google/gtm-oauth2/wiki).

**If you have a problem** or want a new feature to be included in the library,
please join the
[GTM-OAuth 2 discussion group](http://groups.google.com/group/gtm-oauth2)
or submit an [issue](https://github.com/google/gtm-oauth2/issues).

The library incorporates the
[GTM Session Fetcher project](https://github.com/google/gtm-session-fetcher/).

There is a separate project for [OAuth 1 controllers](https://github.com/google/gtm-oauth).

Other useful classes for Mac and iOS developers are available in the
[Google Toolbox for Mac](https://github.com/google/google-toolbox-for-mac).
